JBoss API: Class Deployment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class Deployment

    java.lang.Object
      |
      +--org.jboss.deployment.Deployment

All Implemented Interfaces:
  java.io.Serializable

public class Deployment
extends java.lang.Object
implements java.io.Serializable

Represents a J2EE application or module (EJB.jar, Web.war or App.ear).

Version:
  $Revision: 1.8.4.2 $
Author:
  Daniel Schulze, Scott.Stark@jboss.org
See Also:
  Serialized Form

Inner Class Summary
`class` | `Deployment.Module` Represents a J2ee module.

Field Summary
`protected java.util.Vector` | `commonUrls` the content of the `commonLibs` directory as URL Collection
`protected java.util.Date` | `date` the date this deployment was made
`static int` | `EAR_MODULE`
`static int` | `EJB_MODULE`
`protected java.util.Vector` | `ejbModules` the EJB Modules
`protected java.net.URL` | `localUrl` the local position of the apps root directory
`protected java.util.jar.Manifest` | `manifest` the manifest entry of the deployment (if any) manifest is not serializable ...
`protected java.lang.String` | `name` The application name
`static int` | `RAR_MODULE`
`protected java.net.URL` | `sourceUrl` the position from which this deployment is installed
`protected int` | `type` The type of the deployment module.
`static int` | `WAR_MODULE`
`protected java.util.Vector` | `webModules` the WEB Modules

Method Summary
`void` | `addCommonUrl(java.net.URL url)` Add a module manifest Class-Path element
`void` | `addEjbModule(java.lang.String name, java.net.URL localJar, java.net.URL[] mfUrls)` Create a new Module for an EJB and add it to the ejbModules list.
`void` | `addWebModule(java.lang.String name, java.lang.String webContext, java.net.URL localJar, java.net.URL[] mfUrls)` Create a new Module for an EJB and add it to the ejbModules list.
`java.util.Vector` | `getAllFiles()` returns all files (URLs) that are needed to run this deployment properly
`java.util.Vector` | `getCommonUrls()` returns the common urls
`java.util.Vector` | `getEjbModules()` returns the ejbModules
`java.net.URL` | `getLocalUrl()` returns the local url that points to the place where this deployment has been downloaded
`java.util.jar.Manifest` | `getManifest()` returns the manifest entry of the deployment
`java.lang.String` | `getName()` returns the name of this deployment
`java.net.URL` | `getSourceUrl()` returns the source url that points to from where this deployment has been downloaded
`java.util.Vector` | `getWebModules()` returns the webModules
`Deployment.Module` | `newModule()` returns a new instance of the Module innerclass
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EJB_MODULE

    public static final int EJB_MODULE

### WAR_MODULE

    public static final int WAR_MODULE

### EAR_MODULE

    public static final int EAR_MODULE

### RAR_MODULE

    public static final int RAR_MODULE

### name

    protected java.lang.String name

  The application name

### type

    protected int type

  The type of the deployment module. One of the XXX_MODULE constants

### date

    protected java.util.Date date

  the date this deployment was made

### localUrl

    protected java.net.URL localUrl

  the local position of the apps root directory

### sourceUrl

    protected java.net.URL sourceUrl

  the position from which this deployment is installed

### commonUrls

    protected java.util.Vector commonUrls

  the content of the `commonLibs` directory as URL Collection

### ejbModules

    protected java.util.Vector ejbModules

  the EJB Modules

### webModules

    protected java.util.Vector webModules

  the WEB Modules

### manifest

    protected transient java.util.jar.Manifest manifest

  the manifest entry of the deployment (if any) manifest is not serializable ... is only needed at deployment time, so we mark it transient

Method Detail

### newModule

    public Deployment.Module newModule()

  returns a new instance of the Module innerclass

### getName

    public java.lang.String getName()

  returns the name of this deployment

### getSourceUrl

    public java.net.URL getSourceUrl()

  returns the source url that points to from where this deployment has been downloaded

### getLocalUrl

    public java.net.URL getLocalUrl()

  returns the local url that points to the place where this deployment has been downloaded

### addCommonUrl

    public void addCommonUrl(java.net.URL url)

  Add a module manifest Class-Path element

### getCommonUrls

    public java.util.Vector getCommonUrls()

  returns the common urls

### addEjbModule

    public void addEjbModule(java.lang.String name,
                             java.net.URL localJar,
                             java.net.URL[] mfUrls)

  Create a new Module for an EJB and add it to the ejbModules list.
  Parameters:
    `name,` - the name of the ejb-jar module
    `ejbJar,` - the local ejb-jar
    `mfUrls,` - the resolved URLs for the ejb-jar manifest Class-Path:

### getEjbModules

    public java.util.Vector getEjbModules()

  returns the ejbModules

### addWebModule

    public void addWebModule(java.lang.String name,
                             java.lang.String webContext,
                             java.net.URL localJar,
                             java.net.URL[] mfUrls)

  Create a new Module for an EJB and add it to the ejbModules list.
  Parameters:
    `name,` - the name of the ejb-jar module
    `webContext,` - the context under which the web-app should be deployed
    `ejbJar,` - the local ejb-jar
    `mfUrls,` - the resolved URLs for the ejb-jar manifest Class-Path:

### getWebModules

    public java.util.Vector getWebModules()

  returns the webModules

### getManifest

    public java.util.jar.Manifest getManifest()

  returns the manifest entry of the deployment

### getAllFiles

    public java.util.Vector getAllFiles()

  returns all files (URLs) that are needed to run this deployment properly

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.